KDE 4.7 PyKDE API Reference

- KDE's Python API

# MimetypeJob Class Reference

`from PyKDE4.kio import *`

Inherits: KIO.TransferJob → KIO.SimpleJob → KIO.Job → KCompositeJob → KJob → QObject
Namespace: KIO

## Detailed Description

A MimetypeJob is a TransferJob that allows you to get the mime type of an URL. Don't create directly, but use KIO.mimetype() instead.

See also:
  KIO.mimetype()

## Methods
| __init__ (self)
| slotFinished (self)

## Method Documentation

__init__ | ( |  | self ) |

slotFinished | ( |  | self ) |